GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gdcm::Surface Class Reference

This class defines a SURFACE IE. This members are taken from required surface mesh module attributes. More...

`#include <gdcmSurface.h>`

Inheritance diagram for gdcm::Surface:
[legend]
Collaboration diagram for gdcm::Surface:
[legend]

## Public Types

enum | STATES { NO = 0, YES, UNKNOWN, STATES_END }
enum | VIEWType { SURFACE = 0, WIREFRAME, POINTS, VIEWType_END }
| Enumeration for Recommended Presentation Type. More...

## Public Member Functions

| Surface ()
virtual | ~Surface ()
SegmentHelper::BasicCodedEntry const & | GetAlgorithmFamily () const
SegmentHelper::BasicCodedEntry & | GetAlgorithmFamily ()
const char * | GetAlgorithmName () const
const char * | GetAlgorithmVersion () const
const float * | GetAxisOfRotation () const
const float * | GetCenterOfRotation () const
STATES | GetFiniteVolume () const
STATES | GetManifold () const
float | GetMaximumPointDistance () const
float | GetMeanPointDistance () const
MeshPrimitive const & | GetMeshPrimitive () const
MeshPrimitive & | GetMeshPrimitive ()
unsigned long | GetNumberOfSurfacePoints () const
unsigned long | GetNumberOfVectors () const
const DataElement & | GetPointCoordinatesData () const
DataElement & | GetPointCoordinatesData ()
const float * | GetPointPositionAccuracy () const
const float * | GetPointsBoundingBoxCoordinates () const
SegmentHelper::BasicCodedEntry const & | GetProcessingAlgorithm () const
SegmentHelper::BasicCodedEntry & | GetProcessingAlgorithm ()
const unsigned short * | GetRecommendedDisplayCIELabValue () const
unsigned short | GetRecommendedDisplayCIELabValue (const unsigned int idx) const
unsigned short | GetRecommendedDisplayGrayscaleValue () const
float | GetRecommendedPresentationOpacity () const
VIEWType | GetRecommendedPresentationType () const
const char * | GetSurfaceComments () const
unsigned long | GetSurfaceNumber () const
bool | GetSurfaceProcessing () const
const char * | GetSurfaceProcessingDescription () const
float | GetSurfaceProcessingRatio () const
const float * | GetVectorAccuracy () const
const DataElement & | GetVectorCoordinateData () const
DataElement & | GetVectorCoordinateData ()
unsigned short | GetVectorDimensionality () const
void | SetAlgorithmFamily (SegmentHelper::BasicCodedEntry const &BSE)
void | SetAlgorithmName (const char *str)
void | SetAlgorithmVersion (const char *str)
void | SetAxisOfRotation (const float *axis)
void | SetCenterOfRotation (const float *center)
void | SetFiniteVolume (STATES state)
void | SetManifold (STATES state)
void | SetMaximumPointDistance (float maximum)
void | SetMeanPointDistance (float average)
void | SetMeshPrimitive (MeshPrimitive &mp)
void | SetNumberOfSurfacePoints (const unsigned long nb)
void | SetNumberOfVectors (const unsigned long nb)
void | SetPointCoordinatesData (DataElement const &de)
void | SetPointPositionAccuracy (const float *accuracies)
void | SetPointsBoundingBoxCoordinates (const float *coordinates)
void | SetProcessingAlgorithm (SegmentHelper::BasicCodedEntry const &BSE)
void | SetRecommendedDisplayCIELabValue (const unsigned short vl[3])
void | SetRecommendedDisplayCIELabValue (const unsigned short vl, const unsigned int idx=0)
void | SetRecommendedDisplayCIELabValue (const std::vector< unsigned short > &vl)
void | SetRecommendedDisplayGrayscaleValue (const unsigned short vl)
void | SetRecommendedPresentationOpacity (const float opacity)
void | SetRecommendedPresentationType (VIEWType type)
void | SetSurfaceComments (const char *comment)
void | SetSurfaceNumber (const unsigned long nb)
void | SetSurfaceProcessing (bool b)
void | SetSurfaceProcessingDescription (const char *description)
void | SetSurfaceProcessingRatio (const float ratio)
void | SetVectorAccuracy (const float *accuracy)
void | SetVectorCoordinateData (DataElement const &de)
void | SetVectorDimensionality (const unsigned short dim)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions

static STATES | GetSTATES (const char *state)
static const char * | GetSTATESString (STATES state)
static VIEWType | GetVIEWType (const char *type)
static const char * | GetVIEWTypeString (VIEWType type)

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

This class defines a SURFACE IE. This members are taken from required surface mesh module attributes.

See Also
  PS 3.3 A.1.2.18 , A.57 and C.27

## Member Enumeration Documentation

enum gdcm::Surface::STATES

Enumerator:

  NO |
  YES |
  UNKNOWN |
  STATES_END |

enum gdcm::Surface::VIEWType

Enumeration for Recommended Presentation Type.

See Also
  Tag(0x0066, 0x000D) and PS 3.3 C.27.1.1.3

Enumerator:

  SURFACE |
  WIREFRAME |
  POINTS |
  VIEWType_END |

## Constructor & Destructor Documentation

gdcm::Surface::Surface | ( |  | ) |

virtual gdcm::Surface::~Surface | ( |  | ) |

virtual

## Member Function Documentation

SegmentHelper::BasicCodedEntry const& gdcm::Surface::GetAlgorithmFamily | ( |  | ) | const

SegmentHelper::BasicCodedEntry& gdcm::Surface::GetAlgorithmFamily | ( |  | ) |

const char* gdcm::Surface::GetAlgorithmName | ( |  | ) | const

const char* gdcm::Surface::GetAlgorithmVersion | ( |  | ) | const

const float* gdcm::Surface::GetAxisOfRotation | ( |  | ) | const

Note
  Pointer is null if undefined

const float* gdcm::Surface::GetCenterOfRotation | ( |  | ) | const

Note
  Pointer is null if undefined

STATES gdcm::Surface::GetFiniteVolume | ( |  | ) | const

STATES gdcm::Surface::GetManifold | ( |  | ) | const

float gdcm::Surface::GetMaximumPointDistance | ( |  | ) | const

float gdcm::Surface::GetMeanPointDistance | ( |  | ) | const

MeshPrimitive const& gdcm::Surface::GetMeshPrimitive | ( |  | ) | const

MeshPrimitive& gdcm::Surface::GetMeshPrimitive | ( |  | ) |

unsigned long gdcm::Surface::GetNumberOfSurfacePoints | ( |  | ) | const

unsigned long gdcm::Surface::GetNumberOfVectors | ( |  | ) | const

const DataElement& gdcm::Surface::GetPointCoordinatesData | ( |  | ) | const

DataElement& gdcm::Surface::GetPointCoordinatesData | ( |  | ) |

const float* gdcm::Surface::GetPointPositionAccuracy | ( |  | ) | const

Note
  Pointer is null if undefined

const float* gdcm::Surface::GetPointsBoundingBoxCoordinates | ( |  | ) | const

Note
  Pointer is null if undefined

SegmentHelper::BasicCodedEntry const& gdcm::Surface::GetProcessingAlgorithm | ( |  | ) | const

SegmentHelper::BasicCodedEntry& gdcm::Surface::GetProcessingAlgorithm | ( |  | ) |

const unsigned short* gdcm::Surface::GetRecommendedDisplayCIELabValue | ( |  | ) | const

unsigned short gdcm::Surface::GetRecommendedDisplayCIELabValue | ( | const unsigned int | idx | ) | const

unsigned short gdcm::Surface::GetRecommendedDisplayGrayscaleValue | ( |  | ) | const

float gdcm::Surface::GetRecommendedPresentationOpacity | ( |  | ) | const

VIEWType gdcm::Surface::GetRecommendedPresentationType | ( |  | ) | const

static STATES gdcm::Surface::GetSTATES | ( | const char * | state | ) |

static

static const char* gdcm::Surface::GetSTATESString | ( | STATES | state | ) |

static

const char* gdcm::Surface::GetSurfaceComments | ( |  | ) | const

unsigned long gdcm::Surface::GetSurfaceNumber | ( |  | ) | const

bool gdcm::Surface::GetSurfaceProcessing | ( |  | ) | const

const char* gdcm::Surface::GetSurfaceProcessingDescription | ( |  | ) | const

float gdcm::Surface::GetSurfaceProcessingRatio | ( |  | ) | const

const float* gdcm::Surface::GetVectorAccuracy | ( |  | ) | const

const DataElement& gdcm::Surface::GetVectorCoordinateData | ( |  | ) | const

DataElement& gdcm::Surface::GetVectorCoordinateData | ( |  | ) |

unsigned short gdcm::Surface::GetVectorDimensionality | ( |  | ) | const

static VIEWType gdcm::Surface::GetVIEWType | ( | const char * | type | ) |

static

static const char* gdcm::Surface::GetVIEWTypeString | ( | VIEWType | type | ) |

static

void gdcm::Surface::SetAlgorithmFamily | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

void gdcm::Surface::SetAlgorithmName | ( | const char * | str | ) |

void gdcm::Surface::SetAlgorithmVersion | ( | const char * | str | ) |

void gdcm::Surface::SetAxisOfRotation | ( | const float * | axis | ) |

void gdcm::Surface::SetCenterOfRotation | ( | const float * | center | ) |

void gdcm::Surface::SetFiniteVolume | ( | STATES | state | ) |

void gdcm::Surface::SetManifold | ( | STATES | state | ) |

void gdcm::Surface::SetMaximumPointDistance | ( | float | maximum | ) |

void gdcm::Surface::SetMeanPointDistance | ( | float | average | ) |

void gdcm::Surface::SetMeshPrimitive | ( | MeshPrimitive & | mp | ) |

void gdcm::Surface::SetNumberOfSurfacePoints | ( | const unsigned long | nb | ) |

void gdcm::Surface::SetNumberOfVectors | ( | const unsigned long | nb | ) |

void gdcm::Surface::SetPointCoordinatesData | ( | DataElement const & | de | ) |

void gdcm::Surface::SetPointPositionAccuracy | ( | const float * | accuracies | ) |

void gdcm::Surface::SetPointsBoundingBoxCoordinates | ( | const float * | coordinates | ) |

void gdcm::Surface::SetProcessingAlgorithm | ( | SegmentHelper::BasicCodedEntry const & | BSE | ) |

void gdcm::Surface::SetRecommendedDisplayCIELabValue | ( | const unsigned short | vl[3] | ) |

void gdcm::Surface::SetRecommendedDisplayCIELabValue | ( | const unsigned short | vl,
|  | const unsigned int | idx = `0`
| ) |  |

void gdcm::Surface::SetRecommendedDisplayCIELabValue | ( | const std::vector< unsigned short > & | vl | ) |

void gdcm::Surface::SetRecommendedDisplayGrayscaleValue | ( | const unsigned short | vl | ) |

void gdcm::Surface::SetRecommendedPresentationOpacity | ( | const float | opacity | ) |

void gdcm::Surface::SetRecommendedPresentationType | ( | VIEWType | type | ) |

void gdcm::Surface::SetSurfaceComments | ( | const char * | comment | ) |

void gdcm::Surface::SetSurfaceNumber | ( | const unsigned long | nb | ) |

void gdcm::Surface::SetSurfaceProcessing | ( | bool | b | ) |

void gdcm::Surface::SetSurfaceProcessingDescription | ( | const char * | description | ) |

void gdcm::Surface::SetSurfaceProcessingRatio | ( | const float | ratio | ) |

void gdcm::Surface::SetVectorAccuracy | ( | const float * | accuracy | ) |

void gdcm::Surface::SetVectorCoordinateData | ( | DataElement const & | de | ) |

void gdcm::Surface::SetVectorDimensionality | ( | const unsigned short | dim | ) |

The documentation for this class was generated from the following file:

- gdcmSurface.h